## fireflies 2.08

=== Makefile ===
include Make.include

DISTFILES=\
add-xscreensaver \
COMPILE \
COPYING \
ChangeLog \
debian/ \
Make.include.in \
Makefile \
README \
TODO \
config.h.in \
configure \
configure.ac \
fireflies.spec.in \
fireflies.xml \
install-sh \
installit.in \
libgfx-1.0.1.tar.gz \
win32/

all:	libgfx/src/libgfx.a
	cd src && make

libgfx/src/libgfx.a:
	gunzip -c libgfx-1.0.1.tar.gz | tar x
	cd libgfx && ./configure && cd src && make

install: all
	sh ./installit $(DESTDIR)

clean:
	make -C src clean
	make -C win32 clean

dist:
	rm -rf fireflies-$(VERSION)
	mkdir fireflies-$(VERSION)
	cp -a src fireflies-$(VERSION)
	cp -a $(DISTFILES) fireflies-$(VERSION)

	# need Make.include temporarily to run make
	cp Make.include fireflies-$(VERSION)
	make -C fireflies-$(VERSION) clean
	rm -f fireflies-$(VERSION)/Make.include

	# don't want to include debian's buildroot
	rm -rf fireflies-$(VERSION)/debian/fireflies

	tar czf fireflies-$(VERSION).tar.gz fireflies-$(VERSION)
	rm -rf fireflies-$(VERSION)

=== src/Makefile ===
include ../gfx-config

CXXFLAGS += -DGFX_NAMESPACE

VEC_SRCS = mat2.cxx mat3.cxx mat4.cxx quat.cxx \
	   symmat2.cxx symmat3.cxx symmat4.cxx
GEO_SRCS = geom3d.cxx
IMG_SRCS = raster.cxx raster-pnm.cxx raster-tiff.cxx raster-jpeg.cxx \
		raster-png.cxx
MISC_SRCS = time.cxx script.cxx color.cxx
GUI_SRCS = gui.cxx gltools.cxx baseball.cxx trackball.cxx arcball.cxx

SRCS = $(VEC_SRCS) $(GEO_SRCS) $(IMG_SRCS) $(MISC_SRCS) $(GUI_SRCS)
OBJS = $(SRCS:.cxx=.o)

libgfx.a: $(OBJS)
	$(AR) cru libgfx.a $(OBJS)
	$(RANLIB) libgfx.a

tags: $(SRCS) ../include/gfx/*.h
	ctags $(SRCS) ../include/gfx/*.h

clean:
	-$(RM) $(OBJS) libgfx.a

depend:
	$(CXX_DEPEND) $(SRCS) > Makefile.dep

-include Makefile.dep

=== tests/Makefile ===
# Include the 'gfx-config' file to get all the correct build settings
include ../gfx-config

SRCS = t-vec.cxx t-img.cxx t-gui.cxx t-glimg.cxx t-script.cxx t-glext.cxx
ALL = $(SRCS:.cxx=)

all: $(ALL)

t-vec: t-vec.cxx
	$(CXX) -o $@ $^ $(CXXFLAGS) $(LDFLAGS) -lgfx -lm

t-script: t-script.cxx
	$(CXX) -o $@ $^ $(CXXFLAGS) $(LDFLAGS) -lgfx -lm

t-img: t-img.cxx
	$(CXX) -o $@ $^ $(CXXFLAGS) $(LDFLAGS) -lgfx $(IMG_LIBS) -lm

#
# GUI programs should make the appropriate post-build call to
# $(FLTKCONFIG).  On most platforms, this does nothing, but under
# Mac OS X, it is essential to make GUI programs launch correctly.
#

t-gui: t-gui.cxx
	$(CXX) -o $@ $^ $(CXXFLAGS) $(LDFLAGS) -lgfx $(GUI_LIBS) -lm
	$(FLTKCONFIG) --post $@

t-glext: t-glext.cxx
	$(CXX) -o $@ $^ $(CXXFLAGS) $(LDFLAGS) -lgfx $(GUI_LIBS) -lm
	$(FLTKCONFIG) --post $@

t-glimg: t-glimg.cxx
	$(CXX) -o $@ $^ $(CXXFLAGS) $(LDFLAGS) -lgfx $(GUI_LIBS) -lm
	$(FLTKCONFIG) --post $@

# This is just a standard mechanism to correctly track the dependencies
# of the source files.
#
depend:
	$(CXX_DEPEND) $(SRCS) > Makefile.dep

-include Makefile.dep

=== debian/changelog ===
fireflies (2.08-7ubuntu17.04.0+4) zesty; urgency=low

  * Change debhelper compatibility level to 7

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

fireflies (2.08-7ubuntu16.10.0+3~a) yakkety; urgency=low

  * libgfx
    + fix build with png 1.5

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Jun 2016 18:09:29 +0200

fireflies (2.08-7debian6.0.0+2) squeeze; urgency=low

  * Changes pulled into a separate patches
  * Cleaning in the packaging
  * Switch to quilt format

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 Dec 2013 03:06:09 +0100

fireflies (2.08-6) lucid; urgency=low

  * Fix FTBFS under modern compilers

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 30 Mar 2013 15:43:23 +0100

fireflies (2.08-5~natty) natty; urgency=low

  * Fix FTBFS under modern compilers

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 16 Aug 2011 13:32:00 -0600

fireflies (2.05-1) stable; urgency=low

  * code cleanup

 -- Matt Perry <guy@somewhere.fscked.org>  Sat, 26 Apr 2003 12:40:00 +0100

fireflies (2.04-1) stable; urgency=low

  * fixed big bug

 -- Matt Perry <guy@somewhere.fscked.org>  Wed, 23 Apr 2003 19:20:00 +0100

fireflies (2.03-1) stable; urgency=low

  * put fireflies.xml where it belongs

 -- Matt Perry <guy@somewhere.fscked.org>  Wed, 16 Apr 2003 13:27:18 +0100

fireflies (2.02-1) stable; urgency=low

  * Initial Release.

 -- Serge Koenigsmann <serge@doomicile.de>  Sun,  9 Mar 2003 13:27:18 +0100

=== debian/control ===
Source: fireflies
Section: x11
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), cdbs, automake, autoconf, libglu-dev, libsdl1.2-dev, xscreensaver
Standards-Version: 3.8.4

Package: fireflies
Architecture: any
Depends: ${shlibs:Depends}
Description: Fireflies OpenGL screensaver, for xscreensaver or standalone
 An OpenGL 3D screensaver for xscreensaver.  A bunch of fireflies chase a few
 baits around the screen, leaving colorful tails which get blown around by the
 wind.

## fireflies 2.08-6

=== Makefile ===
--- 
+++ 
@@ -17,14 +17,14 @@
 fireflies.xml \
 install-sh \
 installit.in \
-libgfx-1.0.1.tar.gz \
+libgfx-1.1.0.tar.gz \
 win32/
 
 all:	libgfx/src/libgfx.a
 	cd src && make
 
 libgfx/src/libgfx.a:
-	gunzip -c libgfx-1.0.1.tar.gz | tar x
+	gunzip -c libgfx-1.1.0.tar.gz | tar x
 	cd libgfx && ./configure && cd src && make
 
 install: all

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, automake, autoconf, libglu-dev, libsdl1.2-dev, xscreensaver
+Build-Depends: debhelper (>> 3.0.0), build-essential, libglu-dev, libsdl1.2-dev
 Standards-Version: 3.8.4
 
 Package: fireflies

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/fireflies.sgml > fireflies.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/fireflies.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/fireflies/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
